## glaurung 2.0.1

=== src/Makefile ===
# Glaurung, a UCI chess playing engine.
# Copyright (C) 2004-2007 Tord Romstad

# This file is part of Glaurung.
#
# Glaurung is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Glaurung is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


# Files

EXE = glaurung

OBJS = bitboard.o color.o pawns.o material.o endgame.o evaluate.o main.o \
	misc.o move.o movegen.o history.o movepick.o search.o piece.o \
	position.o square.o direction.o tt.o value.o uci.o ucioption.o \
	mersenne.o book.o bitbase.o san.o benchmark.o


# Rules

all: $(EXE) .depend

clean: 
	$(RM) *.o .depend glaurung

# Compiling with the Intel C++ compiler:
# CXX = icpc
# CXXFLAGS = -O3 -DNDEBUG -fno-exceptions -fomit-frame-pointer -fno-rtti \
        -fstrict-aliasing -mdynamic-no-pic -no-prec-div -ipo -static -xP

# CXXFLAGS = -O3 -DNDEBUG -fno-exceptions -fomit-frame-pointer -fno-rtti \
	-fstrict-aliasing -mdynamic-no-pic -no-prec-div -static -xP -prof_gen \
	-prof_dir ./profdata
# CXXFLAGS = -O3 -DNDEBUG -fno-exceptions -fomit-frame-pointer -fno-rtti \
	-fstrict-aliasing -mdynamic-no-pic -no-prec-div -ipo -static -xP \
	-prof_use -prof_dir ./profdata


# Compiling with GCC:
CXX = g++
CXXFLAGS = -O3 -DNDEBUG -g -funroll-loops -fomit-frame-pointer \
        -fstrict-aliasing -fno-exceptions -fno-rtti -Wall

# Compiling with GCC, in debug mode:
# CXX = g++
# CXXFLAGS = -O3 -g -funroll-loops -fomit-frame-pointer -fstrict-aliasing \
	-fno-exceptions -fno-rtti -Wall 

# Compiling a PowerPC Mac OS X binary with GCC:
# CXX = g++
# CXXFLAGS = -O3 -DNDEBUG -funroll-loops -fomit-frame-pointer -fstrict-aliasing \
	-fno-exceptions -fno-rtti -Wall -arch ppc

LDFLAGS = -lm -lpthread


# Dependencies

$(EXE): $(OBJS)
	$(CXX) $(LDFLAGS) -o $@ $(OBJS)

.depend:
	$(CXX) -MM $(OBJS:.o=.cpp) > $@

include .depend

## glaurung 2.2

=== src/Makefile ===
# Glaurung, a UCI chess playing engine.
# Copyright (C) 2004-2007 Tord Romstad

# This file is part of Glaurung.
#
# Glaurung is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Glaurung is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


###
### Files
###

EXE = glaurung

OBJS = bitboard.o color.o pawns.o material.o endgame.o evaluate.o main.o \
	misc.o move.o movegen.o history.o movepick.o search.o piece.o \
	position.o square.o direction.o tt.o value.o uci.o ucioption.o \
	mersenne.o book.o bitbase.o san.o benchmark.o


###
### Rules
###

all: $(EXE) .depend

clean: 
	$(RM) *.o .depend glaurung


###
### Compiler:
###

CXX = g++
# CXX = g++-4.2
# CXX = icpc


###
### Dependencies
###

$(EXE): $(OBJS)
	$(CXX) $(LDFLAGS) -o $@ $(OBJS)

.depend:
	$(CXX) -MM $(OBJS:.o=.cpp) > $@

include .depend


###
### Compiler and linker switches
###

# Enable/disable debugging:

CXXFLAGS += -DNDEBUG


# Compile with full warnings, and symbol names

CXXFLAGS += -Wall -g


# General optimization flags.  Note that -O2 might be faster than -O3 on some
# systems; this requires testing.

CXXFLAGS += -O3 -fno-exceptions -fomit-frame-pointer -fno-rtti -fstrict-aliasing


# Compiler optimization flags for the Intel C++ compiler in Mac OS X:

# CXXFLAGS += -mdynamic-no-pic -no-prec-div -ipo -static -xP


# Profiler guided optimization with the Intel C++ compiler.  To use it, first
# create the directory ./profdata if it does not already exist, and delete its
# contents if it does exist.  Then compile with -prof_gen, and run the 
# resulting binary for a while (for instance, do ./glaurung bench 128 1, and
# wait 15 minutes for the benchmark to complete).  Then do a 'make clean', and 
# recompile with -prof_use.

# CXXFLAGS += -prof_gen -prof_dir ./profdata
# CXXFLAGS += -prof_use -prof_dir ./profdata


# Profiler guided optimization with GCC.  I've never been able to make this 
# work.

# CXXFLAGS += -fprofile-generate
# LDFLAGS += -fprofile-generate
# CXXFLAGS += -fprofile-use
# CXXFLAGS += -fprofile-use


# General linker flags

LDFLAGS += -lm -lpthread


# Compiler switches for generating binaries for various CPUs in Mac OS X.
# Note that 'arch ppc' and 'arch ppc64' only works with g++, and not with
# the intel compiler.

# CXXFLAGS += -arch ppc
# CXXFLAGS += -arch ppc64
# CXXFLAGS += -arch i386
# CXXFLAGS += -arch x86_64
# LDFLAGS += -arch ppc
# LDFLAGS += -arch ppc64
# LDFLAGS += -arch i386
# LDFLAGS += -arch x86_64


# Backwards compatibility with Mac OS X 10.4 when compiling under 10.5 with 
# GCC 4.0.  I haven't found a way to make it work with GCC 4.2.

# CXXFLAGS += -isysroot /Developer/SDKs/MacOSX10.4u.sdk
# CXXFLAGS += -mmacosx-version-min=10.4
# LDFLAGS += -isysroot /Developer/SDKs/MacOSX10.4u.sdk
# LDFLAGS += -Wl,-syslibroot /Developer/SDKs/MacOSX10.4u.sdk
# LDFLAGS += -mmacosx-version-min=10.4


# Backwards compatibility with Mac OS X 10.4 when compiling with ICC.  Doesn't
# work yet. :-(

# CXXFLAGS += -DMAC_OS_X_VERSION_MIN_REQUIRED=1040
# CXXFLAGS += -DMAC_OS_X_VERSION_MAX_ALLOWED=1040
# CXXFLAGS += -D__ENVIRONMENT_MAC_OS_X_VERSION_MIN_REQUIRED__=1040
# CXXFLAGS += -F/Developer/SDKs/MacOSX10.4u.sdk/
# LDFLAGS += -Wl,-syslibroot -Wl,/Developer/SDKs/MacOSX10.4u.sdk

=== debian/changelog ===
glaurung (2.2-6) unstable; urgency=medium

  * Adopt game inside Games Team (Closes: #835306)
  * Rewrite d/copyright in machine-parsable format

 -- Alexandre Detiste <tchet@debian.org>  Sat, 29 Mar 2025 11:42:39 +0100

glaurung (2.2-5) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.4.1 to 4.7.0.
  * Use wrap-and-sort -at for debian control files
  * Trim trailing whitespace.
  * Bump debhelper from old 12 to 13.
  * Switch away from single-debian-patch and add patch metadata.
  * Switched to simple dh based d/rules and added hardening.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 29 May 2024 23:10:24 +0200

glaurung (2.2-4) unstable; urgency=medium

  * QA upload.
  * Fix a segfault for out-of bounds, patch by Asher Gordon.
    (Closes: #969228)

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 09 Sep 2020 13:05:47 +0200

glaurung (2.2-3) unstable; urgency=medium

  * QA upload.
  * Set maintainer to the QA group.
  * Priority optional, standards, R³, dh 12, build-arch, format 3.0.
  * Work around --as-needed regression in gcc-9. (Closes: #925696)
  * Drop Homepage -- taken over by a payday loan scammer.
  * Drop redundant noopt handling (it's broken anyway, too...).

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make. (Closes: #900215)

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 03 Nov 2019 02:56:13 +0100

glaurung (2.2-2) unstable; urgency=low

  * Standards Version to 3.8.1
  * Added Homepage field to control file
  * Set debhelper version to >=7.0.0
  * Set compat level to 7
  * Removed dh_clean -k from rules and added dh_prep

 -- Oliver Korff <ok@xynyx.de>  Sat, 06 Jun 2009 11:06:48 +0200

glaurung (2.2-1) unstable; urgency=low

  * New Upstream Version
  * Repack of the source, removed binary files
  * Added missing includes for g++-snapshot (4.4.0)
  * -- main.h =>  include "#include <cstdio>"

 -- Oliver Korff <ok@xynyx.de>  Mon, 22 Dec 2008 14:11:53 +0100

glaurung (2.1-2) unstable; urgency=low

  * Added missing includes for g++ 4.4
  * -- main.h =>  include "#include <cstdio>" (Closes: #504951)
  * First "official" release of new Upstream Version (Closes: #492798)

 -- Oliver Korff <ok@xynyx.de>  Fri, 14 Nov 2008 19:13:17 +0100

glaurung (2.1-1) unstable; urgency=low

  * New Upstream Version
  * Repack of the source, removed binary files
  * Compiler option -fno-rtti addad again, because compiling on all systems
  * Includes added to ensure g++ 4.3 compilation:
  * -- pawns.h =>  include "position.h"
  * -- material.cpp =>  include "material.h"
  * -- misc.h => include <string.h> ; include <stdlib.h>
  * -- bitboard.h => include "stdlib.h"
  * Tests done with the packet:
  * -- compile with g++ 4.2 and 4.3 as available in sid
  * -- pbuilder compile

 -- Oliver Korff <ok@xynyx.de>  Mon, 19 May 2008 13:26:09 +0200

glaurung (2.0.1-2) unstable; urgency=low

  * Compiler option -fno-rtti had to be removed (Closes: #459029)
  * Added missing includes to satisfy gcc 4.3 (Closes: #456042)

 -- Oliver Korff <ok@xynyx.de>  Tue, 08 Jan 2008 10:13:42 +0100

glaurung (2.0.1-1) unstable; urgency=low

  * New Upstream Version
  * Repack of the source, it came as .zip and contained binary files

 -- Oliver Korff <ok@xynyx.de>  Fri, 23 Nov 2007 23:28:31 +0100

glaurung (1.99.2epsilon5-2) unstable; urgency=low

  * stripped the rules file

 -- Oliver Korff <ok@xynyx.de>  Thu, 09 Aug 2007 09:38:16 +0200

glaurung (1.99.2epsilon5-1) unstable; urgency=low

  * Initial release (Closes: #434495)

 -- Oliver Korff <ok@xynyx.de>  Mon, 09 Jul 2007 17:05:28 +0200

=== debian/control ===
Source: glaurung
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Alexandre Detiste <tchet@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/games-team/glaurung
Vcs-Git: https://salsa.debian.org/games-team/glaurung.git
X-Style: black

Package: glaurung
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 polyglot,
 xboard | knights,
Description: free UCI chess engine, to calculate chess moves
 This is a very strong chess engine, finished 4th place at internatonal
 ChessWar X. It uses the UCI (universal chess interface), for chess
 engines as communication protocol. This means to play against it,
 you have to use an UCI capable interface, like knights. Or an
 xboard adapter like polyglot.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build --sourcedirectory=src

override_dh_auto_clean:
	dh_auto_clean --sourcedirectory=src
